# Uses of Class
javax.xml.xpath.XPathFactory

Packages that use XPathFactory
Package
Description
javax.xml.xpath
Provides an object-model neutral API for the evaluation of XPath expressions and access to the evaluation environment.

## Uses of XPathFactory in javax.xml.xpath

Methods in javax.xml.xpath that return XPathFactory
Modifier and Type
Method
Description
`static XPathFactory`
XPathFactory.`newDefaultInstance()`
Creates a new instance of the `XPathFactory` builtin system-default implementation.
`static XPathFactory`
XPathFactory.`newInstance()`
Get a new `XPathFactory` instance using the default object model, `DEFAULT_OBJECT_MODEL_URI`, the W3C DOM.
`static XPathFactory`
XPathFactory.`newInstance(String uri)`
Obtains a new `XPathFactory` instance using the specified object model.
`static XPathFactory`
XPathFactory.`newInstance(String uri, String factoryClassName, ClassLoader classLoader)`
Obtain a new instance of a `XPathFactory` from a factory class name.